org.codehaus.groovy.reflection

## Class CachedClass.CachedMethodComparatorWithString

- java.lang.Object
- - org.codehaus.groovy.reflection.CachedClass.CachedMethodComparatorWithString

All Implemented Interfaces:
  java.util.Comparator

Enclosing class:
  CachedClass

    public static class CachedClass.CachedMethodComparatorWithString
    extends java.lang.Object
    implements java.util.Comparator

### Field Summary

Fields
`static java.util.Comparator` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`CachedMethodComparatorWithString()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(java.lang.Object o1, java.lang.Object o2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Field Detail

#### INSTANCE

    public static final java.util.Comparator INSTANCE

### Constructor Detail

#### CachedMethodComparatorWithString

    public CachedMethodComparatorWithString()

### Method Detail

#### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

Specified by:
  `compare` in interface `java.util.Comparator`